Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.lyo.oslc4j.stockquote
Class StockQuote

    java.lang.Object
      org.eclipse.lyo.oslc4j.core.model.AbstractResource
          org.eclipse.lyo.oslc4j.stockquote.StockQuote

All Implemented Interfaces:
  IExtendedResource, IResource

    public final class StockQuote

extends AbstractResource

Constructor Summary
`StockQuote()`

Method Summary
`Float` | `getChangePrice()`
`Float` | `getChangePricePercentage()`
`String` | `getExchange()`
`Float` | `getHigh52WeekPrice()`
`Float` | `getHighPrice()`
`String` | `getIdentifier()`
`Date` | `getLastTradedDate()`
`Float` | `getLastTradedPrice()`
`Float` | `getLow52WeekPrice()`
`Float` | `getLowPrice()`
`Float` | `getOpenPrice()`
`URI` | `getServiceProvider()`
`String` | `getSymbol()`
`String` | `getTitle()`
`void` | `setChangePrice(Float changePrice)`
`void` | `setChangePricePercentage(Float changePricePercentage)`
`void` | `setExchange(String exchange)`
`void` | `setHigh52WeekPrice(Float high52WeekPrice)`
`void` | `setHighPrice(Float highPrice)`
`void` | `setIdentifier(String identifier)`
`void` | `setLastTradedDate(Date lastTradedDate)`
`void` | `setLastTradedPrice(Float lastTradedPrice)`
`void` | `setLow52WeekPrice(Float low52WeekPrice)`
`void` | `setLowPrice(Float lowPrice)`
`void` | `setOpenPrice(Float openPrice)`
`void` | `setServiceProvider(URI serviceProvider)`
`void` | `setSymbol(String symbol)`
`void` | `setTitle(String title)`

Methods inherited from class org.eclipse.lyo.oslc4j.core.model.AbstractResource
`addType, getAbout, getExtendedProperties, getTypes, setAbout, setExtendedProperties, setTypes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StockQuote

    public StockQuote()

Method Detail

### getChangePrice

    public Float getChangePrice()

### getChangePricePercentage

    public Float getChangePricePercentage()

### getExchange

    public String getExchange()

### getHigh52WeekPrice

    public Float getHigh52WeekPrice()

### getHighPrice

    public Float getHighPrice()

### getIdentifier

    public String getIdentifier()

### getLastTradedDate

    public Date getLastTradedDate()

### getLastTradedPrice

    public Float getLastTradedPrice()

### getLow52WeekPrice

    public Float getLow52WeekPrice()

### getLowPrice

    public Float getLowPrice()

### getOpenPrice

    public Float getOpenPrice()

### getServiceProvider

    public URI getServiceProvider()

### getSymbol

    public String getSymbol()

### getTitle

    public String getTitle()

### setChangePrice

    public void setChangePrice(Float changePrice)

### setChangePricePercentage

    public void setChangePricePercentage(Float changePricePercentage)

### setExchange

    public void setExchange(String exchange)

### setHigh52WeekPrice

    public void setHigh52WeekPrice(Float high52WeekPrice)

### setHighPrice

    public void setHighPrice(Float highPrice)

### setIdentifier

    public void setIdentifier(String identifier)

### setLastTradedDate

    public void setLastTradedDate(Date lastTradedDate)

### setLastTradedPrice

    public void setLastTradedPrice(Float lastTradedPrice)

### setLow52WeekPrice

    public void setLow52WeekPrice(Float low52WeekPrice)

### setLowPrice

    public void setLowPrice(Float lowPrice)

### setOpenPrice

    public void setOpenPrice(Float openPrice)

### setServiceProvider

    public void setServiceProvider(URI serviceProvider)

### setSymbol

    public void setSymbol(String symbol)

### setTitle

    public void setTitle(String title)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.